package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校专业对象 tb_school_major
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
public class TbSchoolMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 所属学校的id */
//    @Excel(name = "所属学校的id")
    private String schoolId;

    @Excel(name = "学校名称")
    private String schoolCnName;

    /** 专业名称 */
    @Excel(name = "专业名称")
    private String majorCnName;

    /**专业类型*/
    private int majorType;

    /**专业类型名称*/
    @Excel(name="专业类型")
    private String majorTypeDesc;

    /**
     * 专业对应图标
     */
    private String majorIcon;

    private String majorCover;

    /** 学位中文名称 */
    @Excel(name = "学位中文名称")
    private String degreeCnName;

    /** 学位英文名称 */
    @Excel(name = "学位英文名称")
    private String degreeEnName;

    /** 学位类型，1，预科，2，学士，3，研究生，4，博士 */
//    @Excel(name = "学位类型")
    private String degreeType;

    @Excel(name="学位类型")
    private String degreeTypeDesc;

    /** 学习时长 */
    @Excel(name = "学习时长")
    private String learnTime;

    /** 雅思分数 */
    @Excel(name = "雅思分数")
    private String ielts;

    /** 学费 */
    @Excel(name = "学费")
    private String tuition;

    /** 入学时间 */
    @Excel(name = "入学时间")
    private String enrollmentTime;

    /**所需材料*/
    private String needMaterial;

    /**所需材料明细*/
    @Excel(name="所需申请材料明细")
    private String needMaterialDesc;

    /** 是否需要作品集，0 不需要，1 需要 */
    private String needWorks;
//
    @Excel(name="是否需要作品集")
    private String needWorksDesc;

    /** 是否需要学历，0 不需要，1 需要 */
//    @Excel(name = "是否需要学历，0 不需要，1 需要")
    private String needEducation;

    @Excel(name="是否需要学历")
    private String needEducationDesc;

    /** 是否需要面试，0 不需要，1 需要 */
//    @Excel(name = "是否需要面试，0 不需要，1 需要")
    private String needInterview;

    @Excel(name="是否需要面试")
    private String needInterviewDesc;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    @Excel(name="审核人员")
    private String checkerDesc;

    /**审核状态*/
    @Excel(name="审核状态")
    private String checkStatusDesc;

    private String qs;

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(String schoolId)
    {
        this.schoolId = schoolId;
    }

    public String getSchoolId()
    {
        return schoolId;
    }
    public void setMajorCnName(String majorCnName) 
    {
        this.majorCnName = majorCnName;
    }

    public String getMajorCnName() 
    {
        return majorCnName;
    }
    public void setDegreeCnName(String degreeCnName) 
    {
        this.degreeCnName = degreeCnName;
    }

    public String getDegreeCnName() 
    {
        return degreeCnName;
    }
    public void setDegreeEnName(String degreeEnName) 
    {
        this.degreeEnName = degreeEnName;
    }

    public String getDegreeEnName() 
    {
        return degreeEnName;
    }
    public void setDegreeType(String degreeType)
    {
        this.degreeType = degreeType;
    }

    public String getDegreeType()
    {
        return degreeType;
    }
    public void setLearnTime(String learnTime)
    {
        this.learnTime = learnTime;
    }

    public String getLearnTime()
    {
        return learnTime;
    }

    public void setTuition(String tuition)
    {
        this.tuition = tuition;
    }

    public String getTuition()
    {
        return tuition;
    }
    public void setEnrollmentTime(String enrollmentTime) 
    {
        this.enrollmentTime = enrollmentTime;
    }

    public String getEnrollmentTime() 
    {
        return enrollmentTime;
    }
    public void setNeedWorks(String needWorks)
    {
        this.needWorks = needWorks;
    }

    public String getNeedWorks()
    {
        return needWorks;
    }
    public void setNeedEducation(String needEducation)
    {
        this.needEducation = needEducation;
    }

    public String getNeedEducation()
    {
        return needEducation;
    }
    public void setNeedInterview(String needInterview)
    {
        this.needInterview = needInterview;
    }

    public String getNeedInterview()
    {
        return needInterview;
    }

    public String getSchoolCnName() {
        return schoolCnName;
    }

    public void setSchoolCnName(String schoolCnName) {
        this.schoolCnName = schoolCnName;
    }

    public String getDegreeTypeDesc() {
        return degreeTypeDesc;
    }

    public void setDegreeTypeDesc(String degreeTypeDesc) {
        this.degreeTypeDesc = degreeTypeDesc;
    }

    public String getQs() {
        return qs;
    }

    public void setQs(String qs) {
        this.qs = qs;
    }

    public void setMajorIcon(String majorIcon) {
        this.majorIcon = majorIcon;
    }

    public String getMajorIcon() {
        return majorIcon;
    }

    public String getIelts() {
        return ielts;
    }

    public void setIelts(String ielts) {
        this.ielts = ielts;
    }

    public String getNeedWorksDesc() {
        return needWorksDesc;
    }

    public void setNeedWorksDesc(String needWorksDesc) {
        this.needWorksDesc = needWorksDesc;
    }

    public String getNeedEducationDesc() {
        return needEducationDesc;
    }

    public void setNeedEducationDesc(String needEducationDesc) {
        this.needEducationDesc = needEducationDesc;
    }

    public String getNeedInterviewDesc() {
        return needInterviewDesc;
    }

    public void setNeedInterviewDesc(String needInterviewDesc) {
        this.needInterviewDesc = needInterviewDesc;
    }

    public int getMajorType() {
        return majorType;
    }

    public void setMajorType(int majorType) {
        this.majorType = majorType;
    }

    public String getMajorTypeDesc() {
        return majorTypeDesc;
    }

    public void setMajorTypeDesc(String majorTypeDesc) {
        this.majorTypeDesc = majorTypeDesc;
    }

    public String getNeedMaterial() {
        return needMaterial;
    }

    public void setNeedMaterial(String needMaterial) {
        this.needMaterial = needMaterial;
    }

    public String getNeedMaterialDesc() {
        return needMaterialDesc;
    }

    public void setNeedMaterialDesc(String needMaterialDesc) {
        this.needMaterialDesc = needMaterialDesc;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    public String getMajorCover() {
        return majorCover;
    }

    public void setMajorCover(String majorCover) {
        this.majorCover = majorCover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("majorCnName", getMajorCnName())
            .append("degreeCnName", getDegreeCnName())
            .append("degreeEnName", getDegreeEnName())
            .append("degreeType", getDegreeType())
            .append("learnTime", getLearnTime())
            .append("ielts", getIelts())
            .append("tuition", getTuition())
            .append("enrollmentTime", getEnrollmentTime())
            .append("needWorks", getNeedWorks())
            .append("needEducation", getNeedEducation())
            .append("needInterview", getNeedInterview())
            .toString();
    }
}
